# Creating a Recipient (optional)

Recipients define where funds should be sent. Create one with crypto settlement, fiat settlement, or both.

## Crypto Recipient with Smart Wallet

Omit `toAddress` to auto-generate a [smart wallet](/developers/sdks/smart-wallets.md):&#x20;

{% code title="TypeScript" %}

```typescript
const recipient = await orda.recipients.create({
  name: 'Alice',
  cryptoSettlementDetails: {
    toChain: '8453',  // Base
    toToken: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'  // USDC
  }
});

console.log(recipient.smartWallet?.address);
```

{% endcode %}

## Crypto Recipient with Specific Address

{% code title="TypeScript" %}

```typescript
const recipient = await orda.recipients.create({
  name: 'Bob',
  cryptoSettlementDetails: {
    toChain: '8453',
    toToken: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913',
    toAddress: '0xYourRecipientAddress'
  }
});
```

{% endcode %}

## Fiat Recipient (for Off-Ramp)

{% code title="TypeScript" %}

```typescript
const recipient = await orda.recipients.create({
  name: 'Carlos',
  fiatSettlementDetails: {
    toCurrency: 'BRL',
    pixKey: 'user@example.com'
  },
  kycInformation: {
    taxId: '12345678901',
    taxIdCountry: 'BRA',
    email: 'user@example.com',
    name: 'Carlos Silva'
  }
});
```

{% endcode %}

## Update Recipient

{% code title="TypeScript" %}

```typescript
await orda.recipients.updateSettlement({
  recipientId: 'recipient-id',
  cryptoSettlementDetails: {
    toChain: '1',
    toToken: '0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48'
  }
});
```

{% endcode %}

## Deactivate Recipient

{% code title="TypeScript" %}

```typescript
await orda.recipients.deactivate({
  recipientId: 'recipient-id'
});
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.orda.network/developers/sdks/creating-a-recipient-optional.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
